
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

In fs/ext3/super.c::ext3_get_journal() at line 1675 `journal' can be NULL,
but it is not handled right (detect by Coverity's checker).

Signed-off by: Luiz Capitulino <lcapitulino@prefeitura.sp.gov.br>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/super.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/ext3/super.c~fix-possible-null-pointer-in-fs-ext3-superc fs/ext3/super.c
--- 25/fs/ext3/super.c~fix-possible-null-pointer-in-fs-ext3-superc	Tue Jun  1 16:58:47 2004
+++ 25-akpm/fs/ext3/super.c	Tue Jun  1 16:58:47 2004
@@ -1675,6 +1675,7 @@ static journal_t *ext3_get_journal(struc
 	if (!journal) {
 		printk(KERN_ERR "EXT3-fs: Could not load journal inode\n");
 		iput(journal_inode);
+		return NULL;
 	}
 	journal->j_private = sb;
 	ext3_init_journal_params(sb, journal);
_
